%define major 2
%define libname %mklibname json %{major}
%define develname %mklibname json -d

Summary:	JSON implementation in C
Name:		json-c
Version:	0.11
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		https://github.com/json-c/json-c/wiki
# this is a git pull as of Thu Dec 20 2012
Source0:	https://github.com/downloads/json-c/json-c/json-c-%{version}.tar.gz
Patch0:		json-c-0.11-CVE-2013-6370-CVE-2013-6371.patch

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%package -n %{libname}
Summary:	JSON implementation in C
Group:		System/Libraries

%description -n %{libname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects. 

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libjson-devel = %{version}-%{release}

%description -n %{develname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x --disable-static \
    --disable-oldname-compat
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog README
%{_libdir}/*.so
%{_includedir}/json-c
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 10 2014 luigiwalser <luigiwalser> 0.11-1.mga3
+ Revision: 613222
- Replace with final 0.11 upstream tarball (previously git snapshot)
- Drop a no longer needed automake patch
- add upstream patch to fix CVE-2013-6370 and CVE-2013-6371

* Sat Jan 12 2013 umeabot <umeabot> 0.11-0.3.mga3
+ Revision: 355616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.11-0.2.mga3
+ Revision: 340568
- fix for automake 1.13

* Thu Dec 20 2012 oden <oden> 0.11-0.1.mga3
+ Revision: 333342
- 0.11 (git snap)

* Sun May 15 2011 colin <colin> 0.9-1.mga1
+ Revision: 98910
- imported package json-c

